package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsDictType;
import org.apache.ibatis.annotations.Mapper;

@Mapper
@DS("mysql")
public interface KwsDictTypeMapper extends BaseMapper<KwsDictType> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsDictType record);

    int insertSelective(KwsDictType record);

    KwsDictType selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsDictType record);

    int updateByPrimaryKey(KwsDictType record);
}